# Uses of Interface
org.eclipse.ecf.core.events.IContainerDisconnectedEvent

Packages that use IContainerDisconnectedEvent
Package
Description
org.eclipse.ecf.core.events
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.remoteservice.generic

## Uses of IContainerDisconnectedEvent in org.eclipse.ecf.core.events

Classes in org.eclipse.ecf.core.events that implement IContainerDisconnectedEvent
Modifier and Type
Class
Description
`class`
`ContainerDisconnectedEvent`
Container disconnected event.

## Uses of IContainerDisconnectedEvent in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject with parameters of type IContainerDisconnectedEvent
Modifier and Type
Method
Description
`protected void`
TwoPhaseCommitEventProcessor.`handleDeparted(IContainerDisconnectedEvent event)`

## Uses of IContainerDisconnectedEvent in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IContainerDisconnectedEvent
Modifier and Type
Method
Description
`protected void`
RegistrySharedObject.`handleContainerDisconnectedEvent(IContainerDisconnectedEvent event)`